// Compiled by ClojureScript 1.9.562 {}
goog.provide('garden.core');
goog.require('cljs.core');
goog.require('garden.compiler');
/**
 * Convert a variable number of Clojure data structure to a string of
 *   CSS. The first argument may be a list of flags for the compiler.
 */
garden.core.css = (function garden$core$css(var_args){
var args__24566__auto__ = [];
var len__24559__auto___36122 = arguments.length;
var i__24560__auto___36123 = (0);
while(true){
if((i__24560__auto___36123 < len__24559__auto___36122)){
args__24566__auto__.push((arguments[i__24560__auto___36123]));

var G__36124 = (i__24560__auto___36123 + (1));
i__24560__auto___36123 = G__36124;
continue;
} else {
}
break;
}

var argseq__24567__auto__ = ((((0) < args__24566__auto__.length))?(new cljs.core.IndexedSeq(args__24566__auto__.slice((0)),(0),null)):null);
return garden.core.css.cljs$core$IFn$_invoke$arity$variadic(argseq__24567__auto__);
});

garden.core.css.cljs$core$IFn$_invoke$arity$variadic = (function (rules){
return cljs.core.apply.call(null,garden.compiler.compile_css,rules);
});

garden.core.css.cljs$lang$maxFixedArity = (0);

garden.core.css.cljs$lang$applyTo = (function (seq36121){
return garden.core.css.cljs$core$IFn$_invoke$arity$variadic(cljs.core.seq.call(null,seq36121));
});

/**
 * Convert a variable number of maps into a string of CSS for use with
 *   the HTML `style` attribute.
 */
garden.core.style = (function garden$core$style(var_args){
var args__24566__auto__ = [];
var len__24559__auto___36126 = arguments.length;
var i__24560__auto___36127 = (0);
while(true){
if((i__24560__auto___36127 < len__24559__auto___36126)){
args__24566__auto__.push((arguments[i__24560__auto___36127]));

var G__36128 = (i__24560__auto___36127 + (1));
i__24560__auto___36127 = G__36128;
continue;
} else {
}
break;
}

var argseq__24567__auto__ = ((((0) < args__24566__auto__.length))?(new cljs.core.IndexedSeq(args__24566__auto__.slice((0)),(0),null)):null);
return garden.core.style.cljs$core$IFn$_invoke$arity$variadic(argseq__24567__auto__);
});

garden.core.style.cljs$core$IFn$_invoke$arity$variadic = (function (maps){
return garden.compiler.compile_style.call(null,maps);
});

garden.core.style.cljs$lang$maxFixedArity = (0);

garden.core.style.cljs$lang$applyTo = (function (seq36125){
return garden.core.style.cljs$core$IFn$_invoke$arity$variadic(cljs.core.seq.call(null,seq36125));
});

